@import '../mixins';
@import '../variables';

.gallery {
  display: flex;
  flex-wrap: wrap;
  margin-top: 4px;

  @include xs {
    flex-direction: column;
  }

  @include s {
    flex-direction: column;
  }

  @include m {
    flex-direction: row;
  }

  @include l {
    flex-direction: row;
  }


  &__box {
    text-decoration: none;
    background-repeat: no-repeat;
    background-size: cover;
    margin-bottom: 1px;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: row;
    text-align: center;
    position: relative;


    @include xs {
      height: 75px;
      width: 100%;
      justify-items: center;
    }

    @include s {
      height: 150px;
      width: 100%;
      justify-items: center;
    }

    @include m {
      flex-basis: 33.3%;
      box-sizing: border-box;
      &::after {
        content: "";
        display: block;
        padding-top: 100%;
      }
    }

    @include l {
      flex-basis: 33.3%;
      box-sizing: border-box;
      &::after {
        content: "";
        display: block;
        padding-top: 100%;
      }
    }
  }

  &__title {
    color: $white;
    font-family: $header-font;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    @include xs {
      font-size: 20px;
      text-align: center;
      margin-left: auto;
    }

    @include s {
      font-size: 36px;
      text-align: center;
      margin-left: auto;
    }

    @include m {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      text-align: center;
      font-size: 38px;
    }

    @include l {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      text-align: center;
      font-size: 43px;
    }
  }

  &__square {
    right: 0;
    height: 100%;
    background-color: $green;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    text-align: center;


    @include xs {
      width: 71px;
      justify-self: flex-end;
      margin-left: auto;
    }

    @include s {
      width: 142px;
      justify-self: flex-end;
      margin-left: auto;
    }

    @include m {
      display: none;
    }

    @include l {
      display: none;
    }
  }


  &__icon {
    color: $white;
  }


  &__box--delivery {
    @include xs {
      background-image: url('../img/gallery/delivery320.png');
      background-position: center 90%;
    }

    @include s {
      background-image: url('../img/gallery/delivery640.png');
      background-position: center 75%;
    }

    @include m {
      background-image: url('../img/gallery/delivery980.png');
    }

    @include l {
      background-image: url('../img/gallery/delivery1200.png');
    }

  }

  &__box--salads {
    @include xs {
      background-image: url('../img/gallery/salads320.png');
      background-position: center 90%;
    }

    @include s {
      background-image: url('../img/gallery/salads640.png');
      background-position: center 60%;
    }

    @include m {
      background-image: url('../img/gallery/salads980.png');
    }

    @include l {
      background-image: url('../img/gallery/salads1200.png');
    }

  }

  &__box--desserts {
    @include xs {
      background-image: url('../img/gallery/desserts320.png');
      background-position: center 15%;
    }

    @include s {
      background-image: url('../img/gallery/desserts640.png');
      background-position: center 10%;
    }

    @include m {
      background-image: url('../img/gallery/desserts980.png');
    }

    @include l {
      background-image: url('../img/gallery/desserts1200.png');
    }
  }
}